Subject: Re: [rbridge] trill-adj Section 3.3 comments

From: Donald Eastlake <[email-masked]>
Date: Fri, 4 Feb 2011 20:36:44 -0500

Hi,

On Mon, Jan 31, 2011 at 5:19 AM, Les Ginsberg (ginsberg)
<[email-masked]> wrote:
>...
>
>> -----Original Message-----
>> From: Donald Eastlake [mailto:[email-masked]]
>> Sent: Thursday, January 27, 2011 6:52 PM
>> To: Les Ginsberg (ginsberg); [email-masked]
>> Subject: trill-adj Section 3.3 comments
>>
>> Response to some comments by Les Ginsberg:
>>
>> > Section 3.3
>> > -------------
>>
>> > Text says that for hellos received on a VLAN Other than the D-VLAN
>>
>> > "any TRILL Neighbor TLV in such a Hello is ignored..."
>>
>> > I assume this means that it is an implementation choice as to
>> > whether to include the neighbor TLV in such hellos? A clear
>> > statement of this would be helpful.
>>
>> To avoid the posibility of temporary confusion if there is a change in
>> the Designated VLAN, the TRILL Neighbor TLV sent on a VLAN should
>> reflect the neighbors seen on that VLAN. Since an implementation
>> conformant to this draft is only assured of having per VLAN neighbor
>> information for the Deisgnated VLAN, I think something like the
>> following should be added in Section 7.2:
>>
>> "The TRILL Neighbor TLV sent on a VLAN MUST show the neighbor
>> information, as sensed by the transmitting RBridge, on that
>> VLAN. Since implementations conformant to this document maintain such
>> information on a per VLAN basis only for the Designated VLAN, such
>> implementations only send the TRILL Neighbor TLV in TRILL Hellos on
>> the Deisgnated VLAN."
>>
>> You could imagine an implementation that kept more state and had
>> neighbor information for multiple VLANs but it doesn't seem worth going
>> into that.
>
> Yes - I agree.

OK.

> Section 3.2 states:
>
>      o  Two Hello holding timers, each consisting of an 16-bit unsigned
>         integer number of seconds: a Designated VLAN holding timer and
>         a non-Designated VLAN holding timer.
>

> This text indicates that adjacencies are NOT per VLAN - but that a
> timer is kept indicating the reception of hellos on a VLAN other than
> the D-VLAN. Which raises the question as to whether this timer
> simply tracks reception of a hello on all VLANs other than the
> D-VLAN (which is what I thought) or is meant to be a separate timer
> for each VLAN other than the D-VLAN.

? Adjacencies have to do with the DRB election and the IS-IS topology
for route calculation and the forwarding of TRILL Data. TRILL Data is
only ever forwarded on the Designated VLAN. The text in the current
trill-adj draft is consistent and correct and there is only one timer
per neighbor for all non-Designated VLANs.

> Your response indicates that if an implementation were to send
> neighbor information in a hello sent on a VLAN other than the D-VLAN
> that it MUST reflect only those neighbors seen on that VLAN - which
> makes sense to me - but would require that the implementation have a
> VLAN specific timer.

Right.

> I think your suggested text helps a lot and is definitely needed.

OK.

>   Les

Thanks,
Donald
>> =============================
>>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>>  155 Beaver Street
>>  Milford, MA 01757 USA
>>  [email-masked]

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge